SiT! Bugs

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001306SiT!LDAPpublic2010-04-28 15:342010-05-29 14:21
Reporterphillip.morley 
Assigned Topaulh 
PriorityhighSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version3.60 LTS 
Target Version3.61 LTSFixed in Version3.61 LTS 
Summary0001306: LDAP Sync Issue
DescriptionHello,

We are able to sync our LDAP accounts with the SiT database but after a user logs in 1 time via and LDAP account, logs out and tries to log back in, we get this error:

Application Warning [512]
Failed to update user in /var/www/lib/classes.inc.php @ line 220 trigger_error() edit() ldap_storeDetails() authenticateLDAP() authenticate()

Warning [2]
Cannot modify header information - headers already sent by (output started at /var/www/lib/functions.inc.php:2393) in /var/www/login.php @ line 259 header()

This warning may be caused by a problem that occurred before the page was displayed, or sometimes by a syntax error or extra whitespace in your config file.

Also, the LDAPSync portion of scheduler won't stay enabled as well. Not sure why.

Thank you.

Phillip Morley
Steps To ReproduceWe are able to sync our LDAP accounts with the SiT database but after a user logs in 1 time via and LDAP account, logs out and tries to log back in, we get this error:

Application Warning [512]
Failed to update user in /var/www/lib/classes.inc.php @ line 220 trigger_error() edit() ldap_storeDetails() authenticateLDAP() authenticate()

Warning [2]
Cannot modify header information - headers already sent by (output started at /var/www/lib/functions.inc.php:2393) in /var/www/login.php @ line 259 header()

This warning may be caused by a problem that occurred before the page was displayed, or sometimes by a syntax error or extra whitespace in your config file.
Additional InformationN/A
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
User avatar (0003115)
paulh (administrator)
2010-04-29 19:34

Can reproduce this with the latest SVN



FIRST:

2010-04-29T19:31:36+01:00 /sit3/ajaxdata.php ldapOpen
2010-04-29T19:31:36+01:00 /sit3/ajaxdata.php LDAP URL: ldap://10.1.0.200:389 [^]
2010-04-29T19:31:46+01:00 /sit3/login.php authenticateLDAP sit-admin-user
2010-04-29T19:31:46+01:00 /sit3/login.php ldapOpen
2010-04-29T19:31:46+01:00 /sit3/login.php LDAP URL: ldap://10.1.0.200:389 [^]
2010-04-29T19:31:46+01:00 /sit3/login.php ldap_getDetails Filter: (&(ObjectClass=inetOrgPerson)(cn=sit-admin-user))
2010-04-29T19:31:46+01:00 /sit3/login.php ldap_getDetails Base: ou=users,o=ph
2010-04-29T19:31:46+01:00 /sit3/login.php LDAP got details for object: 'sit-admin-user'
2010-04-29T19:31:46+01:00 /sit3/login.php One entry found
2010-04-29T19:31:46+01:00 /sit3/login.php LDAP Valid Credentials
2010-04-29T19:31:46+01:00 /sit3/login.php Authenticate: User authenticated


SECOND:

2010-04-29T19:31:55+01:00 /sit3/login.php authenticateLDAP sit-admin-user
2010-04-29T19:31:55+01:00 /sit3/login.php ldapOpen
2010-04-29T19:31:55+01:00 /sit3/login.php LDAP URL: ldap://10.1.0.200:389 [^]
2010-04-29T19:31:55+01:00 /sit3/login.php ldap_getDetails Filter: (&(ObjectClass=inetOrgPerson)(cn=sit-admin-user))
2010-04-29T19:31:55+01:00 /sit3/login.php ldap_getDetails Base: ou=users,o=ph
2010-04-29T19:31:55+01:00 /sit3/login.php LDAP got details for object: 'sit-admin-user'
2010-04-29T19:31:55+01:00 /sit3/login.php One entry found
2010-04-29T19:31:55+01:00 /sit3/login.php LDAP Valid Credentials
2010-04-29T19:31:55+01:00 /sit3/login.php Application Warning [512] Failed to update user (in line 220 of file /home/paulh/dev/sitracker/branches/3.x/lib/classes.inc.php)
2010-04-29T19:31:55+01:00 /sit3/login.php authenticate: User NOT authenticated
2010-04-29T19:31:55+01:00 /sit3/login.php authenticateContact called
2010-04-29T19:31:55+01:00 /sit3/login.php Authenticate: No matching contact 'sit-admin-user' found in db
2010-04-29T19:31:55+01:00 /sit3/login.php authenticateLDAP sit-admin-user
2010-04-29T19:31:55+01:00 /sit3/login.php ldapOpen
2010-04-29T19:31:55+01:00 /sit3/login.php LDAP URL: ldap://10.1.0.200:389 [^]
2010-04-29T19:31:55+01:00 /sit3/login.php ldap_getDetails Filter: (&(ObjectClass=inetOrgPerson)(cn=sit-admin-user))
2010-04-29T19:31:55+01:00 /sit3/login.php ldap_getDetails Base: ou=users,o=ph
2010-04-29T19:31:56+01:00 /sit3/login.php LDAP got details for object: 'sit-admin-user'
2010-04-29T19:31:56+01:00 /sit3/login.php One entry found
2010-04-29T19:31:56+01:00 /sit3/login.php LDAP Valid Credentials
2010-04-29T19:31:56+01:00 /sit3/login.php authenticateContact returning


I've targetted this on against 3.62 as we're locked down for 3.61 though think given the severity we should probably do this for 3.61
User avatar (0003116)
paulh (administrator)
2010-04-29 19:44

This is happening as we're checking number of effected rows when updating user on login though if your details haven't changed then it marks it as failed to update user and refuses login
User avatar (0003117)
paulh (administrator)
2010-04-29 19:53

Given severity bumped to 3.61 and fixed in r6462 and 9cb0621
User avatar (0003219)
ivan (administrator)
2010-05-29 14:21

Released in v3.61

- Issue History
Date Modified Username Field Change
2010-04-28 15:34 phillip.morley New Issue
2010-04-29 19:34 paulh Note Added: 0003115
2010-04-29 19:34 paulh Priority normal => high
2010-04-29 19:34 paulh Status new => confirmed
2010-04-29 19:34 paulh Target Version => 3.62 LTS
2010-04-29 19:34 paulh Description Updated View Revisions
2010-04-29 19:34 paulh Status confirmed => assigned
2010-04-29 19:34 paulh Assigned To => paulh
2010-04-29 19:44 paulh Note Added: 0003116
2010-04-29 19:53 paulh Note Added: 0003117
2010-04-29 19:53 paulh Status assigned => resolved
2010-04-29 19:53 paulh Resolution open => fixed
2010-04-29 19:53 paulh Fixed in Version => 3.61 LTS
2010-04-29 19:53 paulh Target Version 3.62 LTS => 3.61 LTS
2010-05-29 14:21 ivan Note Added: 0003219
2010-05-29 14:21 ivan Status resolved => closed


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker